Loading...
 
Architecture / Installation

Architecture / Installation


Upgraded PHP, Login is now broken

posts: 14 United States

Hey everyone,

In preparation for trying out tiki 16 I decided to upgrade the php my server is running from 5.5.13 to 5.6. I was under the impression that this should not break anything in version 15.x. However, when I try to log in now I am getting all sorts of log in errors. My tiki site uses LDAP and Tiki for log in. I decided to see if any of the customizations my site was using was the cause of the issues, so I re-installed a fresh version of 15.x and still could not log in.

Does anyone have any ideas as to why upgrading the php version would break my login? Is it just wishful thinking to believe I could upgrade the php version and not break anything?

Sorry about the vague question - Alex

posts: 1808 Catalan Countries

Hi Alex it must be something specific of LDAP, since non-LDAP tikis with php 5.6 or even php 7.x behave as expected (there were some bugs detected with php7 but they were fixed, as far as I know).
So no idea what could be wrong in LDAP with php 5.6, sorry.


posts: 14 United States
No worries I figured it had something to do with LDAP (it has given me nothing but issues). I unfortunately do not have an alternative to using LDAP. Probably just stay on 5.5 and tiki 15.x for now. Thanks for the response.
posts: 14 United States
After looking further into it I may have been missing a php module for LDAP. I am going to update the PHP to 5.6 again with the new module installed and will see if that fixes the issue.
posts: 14 United States
This was indeed the problem. If anyone else has an issue with ldap make sure you have the proper ldap php module installed.

Upcoming Events

No records to display

Why Register?

Register at tiki.org and you'll be able to use the account at any *.tiki.org site, thanks to the InterTiki feature. A valid email address is required to receive site notifications and occasional newsletters. You can opt out of these items at any time.